Subject: [Manet-dt] IANA Port & Multicast Addresses

From: "Ian Chakeres" <[email-masked]>
Date: Thu, 29 Jun 2006 00:12:25 -0700

It has come to the time when we really need "All MANET Routers" and
"All MANET Nodes". I've written up a I-D and I'd like your feedback
before submitting it.

It is only a few pages and very brief.

Let me know what you think.

Ian
_______________________________________________
Manet-dt mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet-dt

---

From: "Pedro M. Ruiz" <[email-masked]>
Date: Thu, 29 Jun 2006 10:42:23 +0200

Hi,

The draft looks fine to me. I just have a more general question 
regarding the need of the "All-MANET-Nodes" multicast group.

What is the difference between "All-MANET-Nodes" and "All-hosts 
(224.0.0.1)" in terms of which nodes receive those messages?

Wouldn't it be fine to use "All-MANET-Routers" for MANET nodes 
participating in the routing, and "All-hosts" (224.0.0.1) instead of  
"all MANET nodes"?

Regards,

--Pedro

Ian Chakeres wrote:

>------------------------------------------------------------------------
>
>
>
>
>Network Working Group                                        I. Chakeres
>Internet-Draft                                                    Boeing
>Expires: December 29, 2006                                 June 27, 2006
>
>
>        IANA Port Number & Scoped Multicast Addresses for MANETs
>                    draft-chakeres-manet-iana-00.txt
>
>Status of this Memo
>
>   By submitting this Internet-Draft, each author represents that any
>   applicable patent or other IPR claims of which he or she is aware
>   have been or will be disclosed, and any of which he or she becomes
>   aware will be disclosed, in accordance with Section 6 of BCP 79.
>
>   Internet-Drafts are working documents of the Internet Engineering
>   Task Force (IETF), its areas, and its working groups.  Note that
>   other groups may also distribute working documents as Internet-
>   Drafts.
>
>   Internet-Drafts are draft documents valid for a maximum of six months
>   and may be updated, replaced, or obsoleted by other documents at any
>   time.  It is inappropriate to use Internet-Drafts as reference
>   material or to cite them other than as "work in progress."
>
>   The list of current Internet-Drafts can be accessed at
>   http://www.ietf.org/ietf/1id-abstracts.txt.
>
>   The list of Internet-Draft Shadow Directories can be accessed at
>   http://www.ietf.org/shadow.html.
>
>   This Internet-Draft will expire on December 29, 2006.
>
>Copyright Notice
>
>   Copyright (C) The Internet Society (2006).
>
>Abstract
>
>   This document enumerates the port and scoped multicast address
>   assignments for MANET protocols.
>
>
>
>
>
>
>
>
>
>
>Chakeres                Expires December 29, 2006               [Page 1]
>
>Internet-Draft                 MANET-IANA                      June 2006
>
>
>Table of Contents
>
>   1.  Introduction  . . . . . . . . . . . . . . . . . . . . . . . . . 3
>   2.  UDP Port for MANET Routing Protocols  . . . . . . . . . . . . . 3
>   3.  Scoped Multicast Groups for MANET Routers and Nodes . . . . . . 3
>     3.1.  Multicast Groups for IPv4 . . . . . . . . . . . . . . . . . 3
>     3.2.  Multicast Groups for IPv6 . . . . . . . . . . . . . . . . . 4
>   4.  IANA Considerations . . . . . . . . . . . . . . . . . . . . . . 4
>   5.  Security Considerations . . . . . . . . . . . . . . . . . . . . 5
>   6.  Acknowledgements  . . . . . . . . . . . . . . . . . . . . . . . 5
>   7.  References  . . . . . . . . . . . . . . . . . . . . . . . . . . 5
>     7.1.  Normative References  . . . . . . . . . . . . . . . . . . . 5
>     7.2.  Informative References  . . . . . . . . . . . . . . . . . . 5
>   Author's Address  . . . . . . . . . . . . . . . . . . . . . . . . . 8
>   Intellectual Property and Copyright Statements  . . . . . . . . . . 9
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>Chakeres                Expires December 29, 2006               [Page 2]
>
>Internet-Draft                 MANET-IANA                      June 2006
>
>
>1.  Introduction
>
>   This document enumerates the port and scoped multicast address
>   assignments for MANET protocols.
>
>
>2.  UDP Port for MANET Routing Protocols
>
>   All interoperable MANET routing protocol traffic is sent to the UDP
>   port titled "MANET".  All packets sent to this port MUST conform to
>   packetbb [I-D.ietf-manet-packetbb].
>
>                         MANET UDP Port Assignment
>
>                    +------------------------+-------+
>                    |          Name          | Value |
>                    +------------------------+-------+
>                    |          MANET         |  TBD1 |
>                    +------------------------+-------+
>
>                                  Table 1
>
>
>3.  Scoped Multicast Groups for MANET Routers and Nodes
>
>   MANET protocols need several scoped multicast addresses [RFC4291] to
>   disseminate information.  This section names the multicast addresses,
>   defines their scope, and clarifies router behavior.
>
>   The name of the multicast address to reach all MANET routers is "All
>   MANET Routers".  MANET routers subscribe to these scoped multicast
>   addresses.
>
>   The name of the multicast address to reach all MANET nodes is "All
>   MANET Nodes".  MANET nodes subscribe to these scoped multicast
>   addresses.
>
>   MANET routers must handle forwarding of scoped multicast addresses
>   (other than link-local scope) using the additional criteria as
>   specified in [RFC2365] and [RFC4007].
>
>3.1.  Multicast Groups for IPv4
>
>   For IPv4, statically assigned, link-local scope multicast addresses
>   are used.  The address for All MANET Routers is 224.0.0.TBD2 and All
>   MANET Nodes is 224.0.0.TBD3, to appear in the [IANAv4Multicast]
>   registry.
>
>
>
>
>Chakeres                Expires December 29, 2006               [Page 3]
>
>Internet-Draft                 MANET-IANA                      June 2006
>
>
>   For IPv4, statically assigned, scope-relative multicast addresses (as
>   defined by [RFC2365], Section 9) are also used.  The offset for the
>   scope relative address for All MANET Routers is TBD4 and All MANET
>   Nodes is TBD5, to appear in [IANAv4Multicast] registry.
>
>   Different scopes are defined by [RFC2365].  The IPv4 Local Scope
>   (239.255.0.0/16) is the minimal enclosing scope for administratively
>   scoped multicast and not further divisible -- its exact extent is
>   site dependent.
>
>   For the IPv4 Local Scope, applying the rules of [RFC2365] and using
>   the assigned offsets of TDB, the multicast addresses are therefore
>   239.255.255.(255-TBD4) and 239.255.255.(255-TBD5).
>
>   For the IPv4 Organization Local Scope, applying the rules of
>   [RFC2365] and using the assigned offsets of TDB4 & TBD5, the
>   multicast addresses are therefore 239.192.255.(255-TBD4) and
>   239.192.255.(255-TBD5).
>
>3.2.  Multicast Groups for IPv6
>
>   IPv6 has different address ranges for different multicast scopes that
>   are implemented as a set of address prefixes for the different
>   address ranges ([RFC2373]).  A permanently assigned multicast address
>   will be used for All MANET Routers and All MANET Host multicast
>   communication, i.e., an address that is independent of the scope
>   value and that can be used for all scopes.  These addresses begin
>   with FF0X:0:0:0:0:0:0: where X indicates the scope.  Implementations
>   for IPv6 MUST use the scope-independent address and the appropriate
>   prefix for the selected scope.  For example, for link-local MANET
>   communication the IPv6 link-local scope prefix (FF02) MUST be used.
>   See [RFC4291] and the [IANAv6Multicast] registry for IPv6 multicast
>   assignments.
>
>   The permanent IPv6 multicast address for All MANET Routers/IPv6 is
>   FF0X:0:0:0:0:0:0:TBD6.
>
>   The permanent IPv6 multicast address for All MANET Nodes/IPv6 is
>   FF0X:0:0:0:0:0:0:TBD7.
>
>
>4.  IANA Considerations
>
>   The IANA is requested to registered MANET UDP port number is TBD1.
>
>   The IANA is requrested to assign a link-local scope multicast address
>   224.0.0.TBD2 for All MANET Routers/IPv4; a link-local scope multicast
>   address 224.0.0.TBD3 for All MANET Nodes/IPv4; a scope-relative
>
>
>
>Chakeres                Expires December 29, 2006               [Page 4]
>
>Internet-Draft                 MANET-IANA                      June 2006
>
>
>   multicast address with an offset of TBD4 for All MANET Routers/IPv4;
>   a scope-relative multicast address with an offset of TBD5 for All
>   MANET Nodes/IPv4; a IPv6 permanent multicast address for All MANET
>   Routers/IPv6 at FF0X:0:0:0:0:0:0:TBD6; and a IPv6 permanent multicast
>   address for All MANET Nodes/IPv6 at FF0X:0:0:0:0:0:0:TBD7.
>
>
>5.  Security Considerations
>
>   There are no security considerations associated with this document.
>
>
>6.  Acknowledgements
>
>   Sections of this text were adapted from [RFC3259].
>
>   Fred Templin provided valuable input to this document.
>
>
>7.  References
>
>7.1.  Normative References
>
>   [I-D.ietf-manet-packetbb]
>              Clausen, T., Dearlove, C., Dean, J., and C. Adjih,
>              "Generalized MANET Packet/Message Format",
>              draft-ietf-manet-packetbb-01 (work in progress),
>              June 2006.
>
>   [RFC2365]  Meyer, D., "Administratively Scoped IP Multicast", BCP 23,
>              RFC 2365, July 1998.
>
>   [RFC4007]  Deering, S., Haberman, B., Jinmei, T., Nordmark, E., and
>              B. Zill, "IPv6 Scoped Address Architecture", RFC 4007,
>              March 2005.
>
>7.2.  Informative References
>
>   [I-D.ietf-manet-dymo]
>              Perkins, C. and I. Chakeres, "Dynamic MANET On-demand
>              (DYMO) Routing", draft-ietf-manet-dymo-04 (work in
>              progress), March 2006.
>
>   [I-D.ietf-manet-nhdp]
>              Clausen, T., Dearlove, C., and J. Dean, "MANET
>              Neighborhood Discovery Protocol", draft-ietf-manet-nhdp-00
>              (work in progress), June 2006.
>
>
>
>
>Chakeres                Expires December 29, 2006               [Page 5]
>
>Internet-Draft                 MANET-IANA                      June 2006
>
>
>   [I-D.ietf-manet-olsrv2]
>              Clausen, T., "The Optimized Link-State Routing Protocol
>              version 2", draft-ietf-manet-olsrv2-01 (work in progress),
>              March 2006.
>
>   [I-D.ietf-manet-smf]
>              Macker, J., "Simplified Multicast Forwarding for MANET",
>              draft-ietf-manet-smf-02 (work in progress), March 2006.
>
>   [IANAv4Multicast]
>              "IPv4 Multicast Address Assignments", <http://http://
>              www.iana.org/assignments/multicast-addresses>.
>
>   [IANAv6Multicast]
>              "IPv6 Multicast Address Assignments", <http://http://
>              www.iana.org/assignments/ipv6-multicast-addresses>.
>
>   [RFC1466]  Gerich, E., "Guidelines for Management of IP Address
>              Space", RFC 1466, May 1993.
>
>   [RFC1884]  Hinden, R. and S. Deering, "IP Version 6 Addressing
>              Architecture", RFC 1884, December 1995.
>
>   [RFC2050]  Hubbard, K., Kosters, M., Conrad, D., Karrenberg, D., and
>              J. Postel, "INTERNET REGISTRY IP ALLOCATION GUIDELINES",
>              BCP 12, RFC 2050, November 1996.
>
>   [RFC2373]  Hinden, R. and S. Deering, "IP Version 6 Addressing
>              Architecture", RFC 2373, July 1998.
>
>   [RFC2375]  Hinden, R. and S. Deering, "IPv6 Multicast Address
>              Assignments", RFC 2375, July 1998.
>
>   [RFC2908]  Thaler, D., Handley, M., and D. Estrin, "The Internet
>              Multicast Address Allocation Architecture", RFC 2908,
>              September 2000.
>
>   [RFC3171]  Albanna, Z., Almeroth, K., Meyer, D., and M. Schipper,
>              "IANA Guidelines for IPv4 Multicast Address Assignments",
>              BCP 51, RFC 3171, August 2001.
>
>   [RFC3259]  Ott, J., Perkins, C., and D. Kutscher, "A Message Bus for
>              Local Coordination", RFC 3259, April 2002.
>
>   [RFC3330]  IANA, "Special-Use IPv4 Addresses", RFC 3330,
>              September 2002.
>
>   [RFC4291]  Hinden, R. and S. Deering, "IP Version 6 Addressing
>
>
>
>Chakeres                Expires December 29, 2006               [Page 6]
>
>Internet-Draft                 MANET-IANA                      June 2006
>
>
>              Architecture", RFC 4291, February 2006.
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>Chakeres                Expires December 29, 2006               [Page 7]
>
>Internet-Draft                 MANET-IANA                      June 2006
>
>
>Author's Address
>
>   Ian D Chakeres
>   Boeing
>   P.O. Box 3707 MC 7L-49
>   Seattle, WA  98124
>   USA
>
>   Email: [email-masked]
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>
>Chakeres                Expires December 29, 2006               [Page 8]
>
>Internet-Draft                 MANET-IANA                      June 2006
>
>
>Intellectual Property Statement
>
>   The IETF takes no position regarding the validity or scope of any
>   Intellectual Property Rights or other rights that might be claimed to
>   pertain to the implementation or use of the technology described in
>   this document or the extent to which any license under such rights
>   might or might not be available; nor does it represent that it has
>   made any independent effort to identify any such rights.  Information
>   on the procedures with respect to rights in RFC documents can be
>   found in BCP 78 and BCP 79.
>
>   Copies of IPR disclosures made to the IETF Secretariat and any
>   assurances of licenses to be made available, or the result of an
>   attempt made to obtain a general license or permission for the use of
>   such proprietary rights by implementers or users of this
>   specification can be obtained from the IETF on-line IPR repository at
>   http://www.ietf.org/ipr.
>
>   The IETF invites any interested party to bring to its attention any
>   copyrights, patents or patent applications, or other proprietary
>   rights that may cover technology that may be required to implement
>   this standard.  Please address the information to the IETF at
>   [email-masked].
>
>
>Disclaimer of Validity
>
>   This document and the information contained herein are provided on an
>   "AS IS" basis and THE CONTRIBUTOR, THE ORGANIZATION HE/SHE REPRESENTS
>   OR IS SPONSORED BY (IF ANY), THE INTERNET SOCIETY AND THE INTERNET
>   ENGINEERING TASK FORCE DISCLAIM ALL WARRANTIES, EXPRESS OR IMPLIED,
>   INCLUDING BUT NOT LIMITED TO ANY WARRANTY THAT THE USE OF THE
>   INFORMATION HEREIN WILL NOT INFRINGE ANY RIGHTS OR ANY IMPLIED
>   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.
>
>
>Copyright Statement
>
>   Copyright (C) The Internet Society (2006).  This document is subject
>   to the rights, licenses and restrictions contained in BCP 78, and
>   except as set forth therein, the authors retain all their rights.
>
>
>Acknowledgment
>
>   Funding for the RFC Editor function is currently provided by the
>   Internet Society.
>
>
>
>
>Chakeres                Expires December 29, 2006               [Page 9]
>
>  
>
>------------------------------------------------------------------------
>

-- 
---------------------------------------------------------------------
Pedro M. Ruiz, Ph.D.                    E-mail: [email-masked]
Fac. Informatica, Univ. of Murcia       Phone:  +34968364335
Campus de Espinardo s/n                 Fax:    +34968364151
E-30100, Espinardo, Murcia              www: ants.dif.um.es/~pedrom/
SPAIN
---------------------------------------------------------------------